Subject: Re: [http-auth] [Cfrg] Another PAKE question

From: Yutaka OIWA <[email-masked]>
Date: Thu, 6 Mar 2014 03:46:41 +0900

I'm deeply sorry Dan and Yoav for my missed reading of your reply.

I understood the feeling difficulty on the Figure 5 by its complexity.
I will make a clearer description for those states, either
on mailing list or in the final draft.

Actually, there is a few conditional parameters in this state machine,
and the Figure 5 is something like a "value-expanded" version of that.
For example, the left part of the figure (states 2, 3, 4) is
corresponding to the "first" HTTP request for a given
user request, and is corresponding one-to-one with the
states in the right part (7, 8, 9), which are for "non-first" requests.
Only the difference is whether normal responses are valid (2,3,4) or
invalid (7,8,9).
So, if we introduce a one-bit flag about this, we can reduce
the number of states to the half.

My intention for this "expanded" description was that
for security-novice implementers, following exactly the
specified behavior is much easier than following the
compacted directions where important decisions are
implied in the English texts.
However, I also understand the deep concern from the
security community about its complexity at the same time.

Thank you very much for making attention on this and
I will find some way of description to achieve
well-understoodness for both communities.

2014-01-10 3:57 GMT+09:00 Yoav Nir <[email-masked]>:
> Another reply
>
> On Jan 9, 2014, at 9:25 AM, Dan Harkins <[email-masked]> wrote:
>
> [snipped a question about where the algorithm draft was]
>
>>
>>  Also, figure 5 seems almost like a joke. Is this protocol _really_
>> that complicated? A security protocol that complicated seems like
>> a recipe for disaster.
>>
>>  regards,
>>
>>  Dan.
>
> _______________________________________________
> http-auth mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/http-auth

-- 
Yutaka OIWA, Ph.D.                 Leader, System Life-cycle Research Group
                               Research Institute for Secure Systems (RISEC)
     National Institute of Advanced Industrial Science and Technology (AIST)
                       Mail addresses: <[email-masked]>, <[email-masked]>
OpenPGP: id[440546B5] fp[7C9F 723A 7559 3246 229D  3139 8677 9BD2 4405 46B5]